Skip to main content
POST
/
v1
/
vouchers
/
{code}
/
transactions
/
export
Export Voucher Transactions
curl --request POST \
  --url https://{cluster}.voucherify.io/v1/vouchers/{code}/transactions/export \
  --header 'Content-Type: application/json' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>' \
  --data '
{
  "parameters": {
    "order": "-created_at",
    "fields": [
      "id",
      "type",
      "source_id",
      "reason",
      "balance",
      "amount",
      "created_at",
      "voucher_id",
      "campaign_id",
      "details",
      "source"
    ]
  }
}
'
{
  "id": "exp_ARi2UbRjgfrHQJoVcKFrBUgA",
  "object": "export",
  "created_at": "2023-05-16T08:30:21.496Z",
  "status": "SCHEDULED",
  "channel": "API",
  "exported_object": "voucher_transactions",
  "parameters": {
    "order": "-created_at",
    "fields": [
      "id",
      "type",
      "source_id",
      "reason",
      "balance",
      "amount",
      "created_at",
      "voucher_id",
      "campaign_id",
      "details",
      "related_transaction_id",
      "source"
    ],
    "filters": {
      "voucher_id": {
        "conditions": {
          "$in": [
            "HRwc0oHz"
          ]
        }
      }
    }
  },
  "result": null,
  "user_id": null
}

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

code
string
required

A code that identifies the voucher or a unique voucher ID assigned by Voucherify, i.e. v_TzD19aeNiqGc9LWciMWknyEZT8IW7u4u.

Example:

"2CpRCE2c"

Body

application/json

Specify the parameters for the camapign transaction export.

Request body schema for POST v1/vouchers/transactions/export.

parameters
Export Transactions · object

Contains the parameters that define the data to be exported.

Response

Returns an export object.

Response body schema for POST v1/vouchers/{code}/transactions/export.

id
string
required

Unique export ID.

Example:

"exp_FFfp9o7daWuJqJCKp5xqqli4"

object
enum<string>
default:export
required

The type of object being represented. This object stores information about the export.

Available options:
export
created_at
string<date-time>
required

Timestamp representing the date and time when the export was scheduled in ISO 8601 format.

Example:

"2022-04-28T11:23:20.922Z"

status
enum<string>
default:SCHEDULED
required

Status of the export. Informs you whether the export has already been completed, i.e. indicates whether the file containing the exported data has been generated.

Available options:
SCHEDULED
channel
string
default:API
required

The channel through which the export was triggered.

exported_object
enum<string>
default:voucher_transactions
required

The type of exported object.

Available options:
voucher_transactions
parameters
Voucher Transactions · object
required

List of available fields and filters that can be exported with gift card or loyalty card transactions along with the sorting order of the returned data.

result
object | null
required

Contains the URL of the CSV file.

user_id
string | null
required

Identifies the specific user who initiated the export through the Voucherify Dashboard; returned when the channel value is WEBSITE.

Example:

"user_g24UoRO3Caxu7FCT4n5tpYEa3zUG0FrH"

Last modified on May 28, 2026